package cn.iocoder.yudao.module.inspection.entity;

import java.util.Date;

import cn.iocoder.yudao.framework.tenant.core.db.TenantBaseDO;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import cn.iocoder.yudao.annotation.Excel;
import cn.iocoder.yudao.framework.tenant.core.db.TenantBaseDO;

/**
 * 【请填写功能名称】对象 del_order_info
 *
 * @author ruoyi
 * @date 2024-05-08
 */
public class DelOrderInfo extends TenantBaseDO
{
    private static final long serialVersionUID = 1L;

    /** 订单id */
    private Long id;

    /** 微信支付订单号 */
    @Excel(name = "微信支付订单号")
    private String transactionId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 商品id */
    @Excel(name = "商品id")
    private Long goodsId;

    /** 商品名称 */
    @Excel(name = "商品名称")
    private String goodsTitle;

    /** 检测:jc,汽修：qx */
    @Excel(name = "检测:jc,汽修：qx")
    private String goodsType;

    /** skuId */
    @Excel(name = "skuId")
    private Long skuId;

    /** sku名称 */
    @Excel(name = "sku名称")
    private String skuName;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户姓名 */
    @Excel(name = "用户姓名")
    private String realName;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String phonenumber;

    /** 商品原价 分 */
    @Excel(name = "商品原价 分")
    private Long goodsPrice;

    /** 实付金额 分 */
    @Excel(name = "实付金额 分")
    private Long payMoney;

    /** 下单时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "下单时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date orderTime;

    /** 会员优惠金额 */
    @Excel(name = "会员优惠金额")
    private Long reduceMoney;

    /** 使用积分数量 */
    @Excel(name = "使用积分数量")
    private Long balance;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 支付方式 */
    @Excel(name = "支付方式")
    private String payType;

    /** 支付信息备注 */
    @Excel(name = "支付信息备注")
    private String payRemark;

    /** 线上或者线下 1线上 0线下 */
    @Excel(name = "线上或者线下 1线上 0线下")
    private String isOnline;

    /** 收款账号 */
    @Excel(name = "收款账号")
    private String receivablesAccount;

    /** 订单状态 */
    @Excel(name = "订单状态")
    private String orderStatus;

    /** 评价详情 */
    @Excel(name = "评价详情")
    private String commentDesc;

    /** 星级 */
    @Excel(name = "星级")
    private Long commentStar;

    /** 评论时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "评论时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date commentTime;

    /** 核销码 */
    @Excel(name = "核销码")
    private String accessCode;

    /** 订单类型 */
    @Excel(name = "订单类型")
    private String orderType;

    /** 合作商主键 */
    @Excel(name = "合作商主键")
    private Long partnerId;

    /** 合作商名称 */
    @Excel(name = "合作商名称")
    private String partnerName;

    /** 创建人所在部门 */
    @Excel(name = "创建人所在部门")
    private Long deptId;

    /** 核销时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "核销时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date validationTime;

    /** 核销人 */
    @Excel(name = "核销人")
    private String validationRealName;

    /** 核销人id */
    @Excel(name = "核销人id")
    private Long validationUserId;

    /** 是否使用优惠券 0 未使用 1使用 */
    @Excel(name = "是否使用优惠券 0 未使用 1使用")
    private String isCoupon;

    /** 优惠券id */
    @Excel(name = "优惠券id")
    private Long couponId;

    /** 优惠券代码 */
    @Excel(name = "优惠券代码")
    private String couponCode;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private Long couponDiscount;

    /** 商城商品数量 */
    @Excel(name = "商城商品数量")
    private Long goodNum;

    /** 取车信息主键 */
    @Excel(name = "取车信息主键")
    private Long pickCarId;

    /** 车辆主键 */
    @Excel(name = "车辆主键")
    private Long userCarId;

    /** 他人手机号 */
    @Excel(name = "他人手机号")
    private String otherPhone;

    /** 驾驶证图片 */
    @Excel(name = "驾驶证图片")
    private String driverLicenesImg;

    /** 是否线上支付0否1是 */
    @Excel(name = "是否线上支付0否1是")
    private String isPayOnline;

    /** 是否上门取车 */
    @Excel(name = "是否上门取车")
    private String isPickCar;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNo;

    /** 车辆品牌型号 */
    @Excel(name = "车辆品牌型号")
    private String carModel;

    /** 车辆性质 */
    @Excel(name = "车辆性质")
    private String carNature;

    private String remark;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    /** 车辆识别代码 */
    @Excel(name = "车辆识别代码")
    private String carIdNo;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTransactionId(String transactionId)
    {
        this.transactionId = transactionId;
    }

    public String getTransactionId()
    {
        return transactionId;
    }
    public void setOrderNo(String orderNo)
    {
        this.orderNo = orderNo;
    }

    public String getOrderNo()
    {
        return orderNo;
    }
    public void setGoodsId(Long goodsId)
    {
        this.goodsId = goodsId;
    }

    public Long getGoodsId()
    {
        return goodsId;
    }
    public void setGoodsTitle(String goodsTitle)
    {
        this.goodsTitle = goodsTitle;
    }

    public String getGoodsTitle()
    {
        return goodsTitle;
    }
    public void setGoodsType(String goodsType)
    {
        this.goodsType = goodsType;
    }

    public String getGoodsType()
    {
        return goodsType;
    }
    public void setSkuId(Long skuId)
    {
        this.skuId = skuId;
    }

    public Long getSkuId()
    {
        return skuId;
    }
    public void setSkuName(String skuName)
    {
        this.skuName = skuName;
    }

    public String getSkuName()
    {
        return skuName;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setRealName(String realName)
    {
        this.realName = realName;
    }

    public String getRealName()
    {
        return realName;
    }
    public void setPhonenumber(String phonenumber)
    {
        this.phonenumber = phonenumber;
    }

    public String getPhonenumber()
    {
        return phonenumber;
    }
    public void setGoodsPrice(Long goodsPrice)
    {
        this.goodsPrice = goodsPrice;
    }

    public Long getGoodsPrice()
    {
        return goodsPrice;
    }
    public void setPayMoney(Long payMoney)
    {
        this.payMoney = payMoney;
    }

    public Long getPayMoney()
    {
        return payMoney;
    }
    public void setOrderTime(Date orderTime)
    {
        this.orderTime = orderTime;
    }

    public Date getOrderTime()
    {
        return orderTime;
    }
    public void setReduceMoney(Long reduceMoney)
    {
        this.reduceMoney = reduceMoney;
    }

    public Long getReduceMoney()
    {
        return reduceMoney;
    }
    public void setBalance(Long balance)
    {
        this.balance = balance;
    }

    public Long getBalance()
    {
        return balance;
    }
    public void setPayTime(Date payTime)
    {
        this.payTime = payTime;
    }

    public Date getPayTime()
    {
        return payTime;
    }
    public void setPayType(String payType)
    {
        this.payType = payType;
    }

    public String getPayType()
    {
        return payType;
    }
    public void setPayRemark(String payRemark)
    {
        this.payRemark = payRemark;
    }

    public String getPayRemark()
    {
        return payRemark;
    }
    public void setIsOnline(String isOnline)
    {
        this.isOnline = isOnline;
    }

    public String getIsOnline()
    {
        return isOnline;
    }
    public void setReceivablesAccount(String receivablesAccount)
    {
        this.receivablesAccount = receivablesAccount;
    }

    public String getReceivablesAccount()
    {
        return receivablesAccount;
    }
    public void setOrderStatus(String orderStatus)
    {
        this.orderStatus = orderStatus;
    }

    public String getOrderStatus()
    {
        return orderStatus;
    }
    public void setCommentDesc(String commentDesc)
    {
        this.commentDesc = commentDesc;
    }

    public String getCommentDesc()
    {
        return commentDesc;
    }
    public void setCommentStar(Long commentStar)
    {
        this.commentStar = commentStar;
    }

    public Long getCommentStar()
    {
        return commentStar;
    }
    public void setCommentTime(Date commentTime)
    {
        this.commentTime = commentTime;
    }

    public Date getCommentTime()
    {
        return commentTime;
    }
    public void setAccessCode(String accessCode)
    {
        this.accessCode = accessCode;
    }

    public String getAccessCode()
    {
        return accessCode;
    }
    public void setOrderType(String orderType)
    {
        this.orderType = orderType;
    }

    public String getOrderType()
    {
        return orderType;
    }
    public void setPartnerId(Long partnerId)
    {
        this.partnerId = partnerId;
    }

    public Long getPartnerId()
    {
        return partnerId;
    }
    public void setPartnerName(String partnerName)
    {
        this.partnerName = partnerName;
    }

    public String getPartnerName()
    {
        return partnerName;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setValidationTime(Date validationTime)
    {
        this.validationTime = validationTime;
    }

    public Date getValidationTime()
    {
        return validationTime;
    }
    public void setValidationRealName(String validationRealName)
    {
        this.validationRealName = validationRealName;
    }

    public String getValidationRealName()
    {
        return validationRealName;
    }
    public void setValidationUserId(Long validationUserId)
    {
        this.validationUserId = validationUserId;
    }

    public Long getValidationUserId()
    {
        return validationUserId;
    }
    public void setIsCoupon(String isCoupon)
    {
        this.isCoupon = isCoupon;
    }

    public String getIsCoupon()
    {
        return isCoupon;
    }
    public void setCouponId(Long couponId)
    {
        this.couponId = couponId;
    }

    public Long getCouponId()
    {
        return couponId;
    }
    public void setCouponCode(String couponCode)
    {
        this.couponCode = couponCode;
    }

    public String getCouponCode()
    {
        return couponCode;
    }
    public void setCouponDiscount(Long couponDiscount)
    {
        this.couponDiscount = couponDiscount;
    }

    public Long getCouponDiscount()
    {
        return couponDiscount;
    }
    public void setGoodNum(Long goodNum)
    {
        this.goodNum = goodNum;
    }

    public Long getGoodNum()
    {
        return goodNum;
    }
    public void setPickCarId(Long pickCarId)
    {
        this.pickCarId = pickCarId;
    }

    public Long getPickCarId()
    {
        return pickCarId;
    }
    public void setUserCarId(Long userCarId)
    {
        this.userCarId = userCarId;
    }

    public Long getUserCarId()
    {
        return userCarId;
    }
    public void setOtherPhone(String otherPhone)
    {
        this.otherPhone = otherPhone;
    }

    public String getOtherPhone()
    {
        return otherPhone;
    }
    public void setDriverLicenesImg(String driverLicenesImg)
    {
        this.driverLicenesImg = driverLicenesImg;
    }

    public String getDriverLicenesImg()
    {
        return driverLicenesImg;
    }
    public void setIsPayOnline(String isPayOnline)
    {
        this.isPayOnline = isPayOnline;
    }

    public String getIsPayOnline()
    {
        return isPayOnline;
    }
    public void setIsPickCar(String isPickCar)
    {
        this.isPickCar = isPickCar;
    }

    public String getIsPickCar()
    {
        return isPickCar;
    }
    public void setCarNo(String carNo)
    {
        this.carNo = carNo;
    }

    public String getCarNo()
    {
        return carNo;
    }
    public void setCarModel(String carModel)
    {
        this.carModel = carModel;
    }

    public String getCarModel()
    {
        return carModel;
    }
    public void setCarNature(String carNature)
    {
        this.carNature = carNature;
    }

    public String getCarNature()
    {
        return carNature;
    }
    public void setCarIdNo(String carIdNo)
    {
        this.carIdNo = carIdNo;
    }

    public String getCarIdNo()
    {
        return carIdNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("transactionId", getTransactionId())
                .append("orderNo", getOrderNo())
                .append("goodsId", getGoodsId())
                .append("goodsTitle", getGoodsTitle())
                .append("goodsType", getGoodsType())
                .append("skuId", getSkuId())
                .append("skuName", getSkuName())
                .append("userId", getUserId())
                .append("realName", getRealName())
                .append("phonenumber", getPhonenumber())
                .append("goodsPrice", getGoodsPrice())
                .append("payMoney", getPayMoney())
                .append("orderTime", getOrderTime())
                .append("reduceMoney", getReduceMoney())
                .append("balance", getBalance())
                .append("payTime", getPayTime())
                .append("payType", getPayType())
                .append("payRemark", getPayRemark())
                .append("isOnline", getIsOnline())
                .append("receivablesAccount", getReceivablesAccount())
                .append("orderStatus", getOrderStatus())
                .append("commentDesc", getCommentDesc())
                .append("commentStar", getCommentStar())
                .append("commentTime", getCommentTime())
                .append("accessCode", getAccessCode())
                .append("orderType", getOrderType())
                .append("partnerId", getPartnerId())
                .append("partnerName", getPartnerName())
                .append("createTime", getCreateTime())
                .append("createBy", getCreator())
                .append("deptId", getDeptId())
                .append("updateTime", getUpdateTime())
                .append("updateBy", getUpdater())
                .append("validationTime", getValidationTime())
                .append("validationRealName", getValidationRealName())
                .append("validationUserId", getValidationUserId())
                .append("isCoupon", getIsCoupon())
                .append("couponId", getCouponId())
                .append("couponCode", getCouponCode())
                .append("couponDiscount", getCouponDiscount())
                .append("goodNum", getGoodNum())
                .append("pickCarId", getPickCarId())
                .append("userCarId", getUserCarId())
                .append("otherPhone", getOtherPhone())
                .append("driverLicenesImg", getDriverLicenesImg())
                .append("isPayOnline", getIsPayOnline())
                .append("isPickCar", getIsPickCar())
                .append("carNo", getCarNo())
                .append("carModel", getCarModel())
                .append("carNature", getCarNature())
                .append("carIdNo", getCarIdNo())
                .toString();
    }
}
